Package io.yellowbrick.jdbc.oauth2

## Class TokenService

- java.lang.Object
- - io.yellowbrick.jdbc.oauth2.TokenService

    public class TokenService
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TokenService` `getInstance()`
`Token` `getToken​(DriverConfiguration driverConfiguration, String url, Properties info)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static TokenService getInstance()

#### getToken

    public Token getToken​(DriverConfiguration driverConfiguration,
                          String url,
                          Properties info)
                   throws SQLException

Throws:
  `SQLException`